# !/bin/sh
#
# module :
# define GEOMAG environnement
#
# usage :
# online usage
# $ . geomag_profile.sh
#
# in ${HOME}/.profile, add the following line
# . geomag_profile.sh
#
# original location
# geomag_profile.sh sur aedon.lodyc.jussieu.fr
#
# update :
# ++ option bavarde
# ++ machine dependant
# ++ besoin de posix
# ++ doc
# $Id$
# fplod 2006-03-22T10:13:38Z aedon.lodyc.jussieu.fr (Darwin)
# creation
#
#
set -u
set -o posix # ++ toutes les machines ne supportent pas forcment cette option
#
command='geomag_profile.sh'
#
GEOMAG=/usr/home/fplod/incas/geomag/ # ++ machine dependant 
# test if $GEOMAG available
if [ ! -d ${GEOMAG} ]
then
 echo "${command} : eee : ${GEOMAG} directory not available"
 # nb : no exit because this file should be launched by login process
 # ++ how to worn user
fi
#
# add GEOMAG tools to PATH
# if not already done
echo ${PATH} | grep -q ${GEOMAG}
test_path=${?}
if [ ${test_path} -ne 0 ]
then
   PATH=${GEOMAG}/:${PATH}
   export PATH
else
   # option bavarde oui/non pas encore implante ++
   echo "${command} : iii : ${GEOMAG}/ already in \${PATH}"
fi
#
# add GEOMAG manuals to MANPATH
# if not already done
echo ${MANPATH} | grep -q ${GEOMAG}
test_manpath=${?}
if [ ${test_manpath} -ne 0 ]
then
   MANPATH=${GEOMAG}/man/:${MANPATH}
   export MANPATH
else
   # option bavarde oui/non pas encore implante ++
   echo "${command} : iii : ${GEOMAG}/man/ already in \${MANPATH}"
fi
#
GEOMAG_LOG=/usr/temp/${LOGNAME}/log/
export GEOMAG_LOG
#
EDITOR=vi
export EDITOR
#
# io directories
GEOMAG_ID=${HOME}/geomag_d/
export GEOMAG_ID
GEOMAG_OD=${HOME}/geomag_d/
export GEOMAG_OD
#
# end
# nb : no exit because this file should be launched by login process
# ++ how to worn user
